| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations | Functions
rtp_stream.h File Reference
`#include <glib.h>`
`#include "tap-rtp-analysis.h"`
`#include <stdio.h>`
`#include <epan/cfile.h>`
`#include <epan/address.h>`
`#include <epan/tap.h>`
`#include "ui/rtp_stream_id.h"`

Go to the source code of this file.

## Classes
struct | _rtpstream_info
| Holds all state and statistics accumulated for a single RTP stream. More...
struct | _rtpstream_tapinfo

## Macros
#define | RTP_STREAM_DEBUG(...)
#define | MAX_SILENCE_FRAMES 14400000
| Constant based on fix for bug 4119/5902: don't insert too many silence frames.

## Typedefs
typedef struct _rtpstream_info | rtpstream_info_t
| Holds all state and statistics accumulated for a single RTP stream.
typedef struct _rtpstream_tapinfo | rtpstream_tapinfo_t
typedef void(* | rtpstream_tap_reset_cb) (rtpstream_tapinfo_t *tapinfo)
typedef void(* | rtpstream_tap_draw_cb) (rtpstream_tapinfo_t *tapinfo)
typedef void(* | tap_mark_packet_cb) (rtpstream_tapinfo_t *tapinfo, frame_data *fd)
typedef void(* | rtpstream_tap_error_cb) (GString *error_string)

## Enumerations
enum | tap_mode_t { TAP_ANALYSE , TAP_SAVE , TAP_MARK }
| Selects the operation performed by the RTP stream tap on the collected stream data. More...

## Functions
void | show_tap_registration_error (GString *error_string)
| Shows an error message when tap registration fails.
void | rtpstream_scan (rtpstream_tapinfo_t *tapinfo, capture_file *cap_file, const char *fstring)
| Scans all packets for RTP streams and updates the RTP streams list. (redissects all packets).
bool | rtpstream_save (rtpstream_tapinfo_t *tapinfo, capture_file *cap_file, rtpstream_info_t *stream, const char *filename)
| Saves an RTP stream as raw data stream with timestamp information for later RTP playback. (redissects all packets).
void | rtpstream_mark (rtpstream_tapinfo_t *tapinfo, capture_file *cap_file, rtpstream_info_t *stream_fwd, rtpstream_info_t *stream_rev)
| Marks all packets belonging to either of stream_fwd or stream_rev. (both can be NULL) (redissects all packets).
void | rtpstream_set_apply_display_filter (rtpstream_tapinfo_t *tapinfo, bool apply)
| Sets whether only packets that pass the current main display filter should be scanned for RTP streams.

## Detailed Description

RTP streams summary addition for Wireshark

Copyright 2003, Alcatel Business Systems By Lars Ruoff lars..nosp@m.ruof.nosp@m.f@gmx.nosp@m..net

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

"RTP Streams" dialog box common routines.

## Enumeration Type Documentation

## ◆ tap_mode_t

enum tap_mode_t

Selects the operation performed by the RTP stream tap on the collected stream data.

Enumerator
TAP_ANALYSE | Analyse all streams and populate statistics
TAP_SAVE | Save the payload audio data of a stream to a file
TAP_MARK | Mark all frames belonging to selected streams in the packet list

## Function Documentation

## ◆ rtpstream_mark()

void rtpstream_mark | ( | rtpstream_tapinfo_t * | tapinfo,
|  | capture_file * | cap_file,
|  | rtpstream_info_t * | stream_fwd,
|  | rtpstream_info_t * | stream_rev )

Marks all packets belonging to either of stream_fwd or stream_rev. (both can be NULL) (redissects all packets).

Parameters

  tapinfo | The rtp stream tap state structure containing the streams to mark.
  cap_file | The capture file to scan for the RTP streams.
  stream_fwd | The RTP stream in the forward direction to mark (NULL = ignore).
  stream_rev | The RTP stream in the reverse direction to mark (NULL = ignore).

## ◆ rtpstream_save()

bool rtpstream_save | ( | rtpstream_tapinfo_t * | tapinfo,
|  | capture_file * | cap_file,
|  | rtpstream_info_t * | stream,
|  | const char * | filename )

Saves an RTP stream as raw data stream with timestamp information for later RTP playback. (redissects all packets).

Parameters

  tapinfo | The rtp stream tap state structure containing the stream to save.
  cap_file | The capture file to scan for the RTP stream.
  stream | The RTP stream to save.
  filename | The name of the file to save the RTP stream to.

Returns
  true on success, false on failure.

## ◆ rtpstream_scan()

void rtpstream_scan | ( | rtpstream_tapinfo_t * | tapinfo,
|  | capture_file * | cap_file,
|  | const char * | fstring )

Scans all packets for RTP streams and updates the RTP streams list. (redissects all packets).

Parameters

  tapinfo | The rtp stream tap state structure to populate.
  cap_file | The capture file to scan for RTP streams.
  fstring | A filter string to apply when scanning for RTP streams (empty = no filter).

## ◆ rtpstream_set_apply_display_filter()

void rtpstream_set_apply_display_filter | ( | rtpstream_tapinfo_t * | tapinfo,
|  | bool | apply )

Sets whether only packets that pass the current main display filter should be scanned for RTP streams.

Parameters

  tapinfo | The rtp stream tap state structure containing the streams to mark.
  apply | Whether to apply the display filter.

## ◆ show_tap_registration_error()

void show_tap_registration_error | ( | GString * | error_string | ) |

Shows an error message when tap registration fails.

Parameters

  error_string | The error message to display